<c:load> | Standard JET2 Control Tags
--- | ---

load

Load the referenced model, and set the passed variable to the loaded document root.

The optional urlContext attribute determines how relative URL in the url attribute are resolved. Predefined constants: 'transform', indicating that URL is relative to the root directory of the transformation; 'workspace', indicating the URL is relative to the current Eclipse workspace.

The optional loader attribute determines which loader is used to load the model. The default loader is 'emf', although other loaders may have been contributed.

Tag Summary
required | <c:load url="value" var="value"/>
full tag | <c:load url="value" var="value" urlContext="value" loader="value" type="value"/>

Required Attributes
url | The URL of the model to load. Usually, this is a relative URL, and is interpretation is controlled by the urlContext attribute.
var | A variable name. The root of the loaded document is set to this variable.

Optional Attributes
urlContext | A url context constant. See tag comments for possible values. The default is 'transform'.
loader | A constant defining the loader to use. The default is determined by the system, depending upon the value of 'type' if specified, or the extension specified on 'url'.
type | The type (typically the extension) of the model. That may be required if the URL does not have a standard extension.

Example

<%-- Load plugin.xml from transformation as an XML model, $pluginDoc refers to the loaded document. $pluginDoc/* (or $pluginDoc/plugin) refers to the root element --%>
<c:load url="plugin.xml" var="pluginDoc"/>
<%-- same action as above, but with defaults specified --%>
<c:load url="plugin.xml" var="pluginDoc" urlContext="transform" loader="org.eclipse.jet.emfxml" />
<%-- Load sample.appdef from project myProject as an XML document --%>
<c:load url="myProject/sample.appdef" var="sampleDoc" urlContext="workspace" loader="org.eclipse.jet.emfxml" type="xml" />